Subject: bug#19731: 24.4; /dev/null is deleted by tramp-sh.el

From: crocket <[email-masked]>
Date: Mon, 2 Feb 2015 21:46:40 +0900

You shouldn't set HISTFILE to /dev/null in the first place.

On Mon, Feb 2, 2015 at 9:45 PM, Michael Albinus <[email-masked]> wrote:
> crocket <[email-masked]> writes:
>
>> On bash, if you become root, and set HISTFILE to /dev/null and
>> HISTFILESIZE to a very small number, and execute more than
>> $HISTFILESIZE commands, and exit bash, then
>> you'll see /dev/null replaced with a regular file with permission 600.
>
> Tramp doesn't set HISTFILESIZE to any value. Maybe it should set it to a
> reasonable large number, when HISTFILE is set to /dev/null?
>
>> If you can't reproduce it, then I'll test tramp on emacs 25 with
>> 'tramp-histfile-override' set to 'unset'.
>
> Please do.
>
> Best regards, Michael.